Subject: [EToSat] Notes from SATCOM side meeting at IETF 111

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 29 Jul 2021 14:16:03 -0500

The notes from today's meeting are at
https://codimd.ietf.org/notes-ietf-111-SATCOM-side-meeting?edit.

During the call, we decided to use the EtoSat mailing list for further
discussion.

For your convenience .... cur-and-pasted from CODIMD, and including
cut-and-pasted chat logs from the call.

Best,

Spencer

SATCOM Activities within the IETF and IRTF

[reference link]

Open Side Meeting happening at
https://meet.jit.si/SideMeetingSATCOM-IETF-IRTF

Attendees (40 people online)
* Nicolas Kuhn
* Gorry Fairhurst
* Carsten Bormann
* Christian Amsüss
* Spencer Dawkins
* Debopam Bhattacherjee
* Colin Perkins
* Magnus Westerlund
* Aaron Falk (Akamai)
* John Border
* Francois Ortolan
* Marie-José Montpetit
* Tony Li (Arista Networks)
* Joerg Deutschmann
* Sebastian Endres (FAU)
* Christian Huitema (Private Octopus Inc.)
* Mike Kosek (TUM)
* Wes Eddy (MTI Systems)
* Lin Han (Futurewei Technologies, Inc.)
* chi-jiun su
* Stewart Bryant (University of Surrey)
* Zongpeng Du（China Mobile）
* Peng Liu(China Mobile)
* Hesham ElBakoury
David Millman

see the IETF Note Well

Goals: See who is involved, who wants to be involved, provide opportunity
to join the activities.

Slides:
https://filesender.renater.fr/?s=download&token=d683da8b-1b7b-4378-ae1a-415b21a131d2
(to also be shared on mailing list later, please fill in link to archival
address when sent)

* Is this research, engineering, or both?
    * Based on Aaron and Gorry comments, the description work could easily
be in the IRTF.
    * Once we have agreed on the problems, we'll know where to do the
solution work - in the IRTF, in existing IETF working groups, or
* Can we identify specific issues? Likely easier to charter
    * Spencer pointed out that how PILC was chartered - proposed as "TCP
over cellular", but ADs didn't want multiple "TCP over FOO" working groups
* Do we need liaison activities to other SDOs and industry bodies? That
requires IETF involvement
    * Aaron said TCPSAT was chartered because there wasn't much mutual
understanding between the industry and the IETF
* Aaron described some of the early history of TCPSAT
    * The satellite ecosystem has changed massively during the time since
TCPSAT - not only bandwidth, but variations such as LEO and MEO
    * Aaron also suggested that the best way to influence the IETF would e
to send people to participate in a WG.
    * There's likely also benefit though in making a list about the types
of systems that exist and the implications. This doesn't necessarily need a
WG.
    * Marie-Jose Montpetit - worked with teledesic (LEO) and hundreds of
satellites with OBP. There was a lot of work in routing and transport to
make TCP work. I suggest a lot of the teledesic patents haves expired, and
these might be relevant to new LEO constellations.
        * (Aaron posted
https://patents.justia.com/assignee/teledesic-corporation in the chat)
        * Marie-Jose clarified in chat that she didn't mean we would
discuss the validity of patents, only that people probably want to be aware
of them as we discuss
    * There is value in integrating the new satellites as a part of the
Internet.

* Wes Eddy: Which operators are asking us for standards?
    * Nobody I know of - standardization is probably premature.
    * Working on interfacing 3GPP control framework over non-terrestial
links and 5G NR air interface. Many satellite services will probably be 5G
by the time we could possibly do standards work in the IETF.
    * TIP NTCS: https://telecominfraproject.com/ntcs/

* Christian Huitema: There is a lot of history dealing with High BDP; if
the link charactersitics for LEO is new there may be value in documenting
these.

* Lin Han: Terminals accessing multiple satellites and networking between
satelltes and ground stations bring many challenges, this would benefit
from a sepate working group.
The mobility, routing and other issues are very specific to satellite. It
may have big difference with the current technologies.
I have a draft for such challanges:
https://datatracker.ietf.org/doc/draft-lhan-problems-requirements-satellite-net/
.

* Julien: question for Aaron about how to describe satellite
characteristics.
    * Documentation is valuable, and if characteristics have changed, we
can base simulations and analysis on that documntation
    * Without that, it will be difficult to get the IETF to focus - just
because some technology characteristics have changed, doesn't mean the IETF
thinks that the Internet has changed.
    * Gorry asked about whether people can talk about their systems, or
whether they are bound by NDAs. He would like to see a document that helps
tell people about how to simulate/mode/evaluate. Spencer sighed, but he was
muted.

* Nicolas : There is an incredible variability in SATCOM systems even
within LEO system. Radio resource managements are specific to each system
and this may be hard to capture in a document. We need the right people
involved in the activity.

* Debopam: High dynamicity + predictable trajectories in LEO. Both
loss-based and delay-based congestion control suffers due to the
dynamicity. Interesting routing+TE problems in simulation. There are
cross-layer issues that may be easier to document in the IRTF.

* Nicolas: Lots of work can be pushed in existing RG and it is important to
assess whether the work we want to push can not be pushed in existing
RG/WG. We may not want to have a group of satellite people talking to each
other without interactions with the rests of the RG/WG.

* Christian: there is a continuum of characteristics that give you a
continuum of problems. We see LTE, UAV, LEO etc. systems with different
link characterics. A research group is the right way to describe them.

* Colin: how open am I to a Satellite-specific RG, as opposed to PANRG or
other existing RG?
    * That seems like a body of work that has potential
    * Colin: want to talk to existing RG chairs, and see the relevant
topics
    * Transport issues are more opened than routing work we need operators
view. Does this fit in PANRG ?
    * Spencer: can we make a decision about venues this week, or is that an
IETF 112 conversation?
    * Colin: https://www.ietf.org/mailman/listinfo/etosat is as good a
place as anyplace, and it already exists

* Marie-Jose suggested giving a tutorial on satellites at IETF 112
    * Aaron liked that plan

* Tianji mentioned the 5GN NTN work on Satellites

-- Notes from the chat --

me says:IIRC, the chat in Jitsi isn't persistent. Gorry, would it make
sense to use the TSVWG jabber room?
me says:Also, I said "I'm turning my camera off because I'm eating peanut
butter and crackers", but I didn't mute my MIKE - sorry!
11:57
Oscar Garcia IPNSIG
Oscar Garcia IPNSIG says:hello all Oscar Garcia IPNSIG
12:00
me says:
https://codimd.ietf.org/notes-ietf-111-SATCOM-side-meeting
12:00
Christian Amsüss
Christian Amsüss says:Whoever is not talking please mute themselves, there
is some echo around.
12:02
Julien Maisonneuve (Nokia)
Julien Maisonneuve (Nokia) says:Are slides available somewhere ? tnx
12:05
Stewart Bryant
Stewart Bryant says:are there. slides being displayed?
12:07
Carsten Bormann
Carsten Bormann says:Yes.
12:07
Christian Amsüss
Christian Amsüss says:Stewart: They're displayed from Nicolas' stream.
Christian Amsüss says:You can click the four-squares icon on the lower bar,
and then the screen that displays the slides in a small view.
12:08
Julien Maisonneuve (Nokia)
Julien Maisonneuve (Nokia) says:Jitsi doesn't seem to indicate who is
talking
12:12
Carsten Bormann
Carsten Bormann says:Look at the blue dots
Carsten Bormann says:to the left of the image
Carsten Bormann says:Useless for a 39-people gallery though
12:13
Stewart Bryant
Stewart Bryant says:I can get slides on chrome but not on safari
12:13
Christian Huitema
Christian Huitema says:+1 Aaron. Lots of value in publishing link
characteristics, so various teams can test protocols
12:14
Marie-José
Marie-José says:I agree with Aaron
12:14
Stewart Bryant
Stewart Bryant says:Are we assuming that sat nets are an opaque tarnsport
and we are running apps ove rthe transport, or are we interested in
addressing the rather interesting underlying network layer problems?
12:15
Nicolas K
Nicolas K says:
https://filesender.renater.fr/?s=download&token=d683da8b-1b7b-4378-ae1a-415b21a131d2
12:15
John Border
John Border says:A document will be useful but does not need to be linked
to a working group or research group.  Attending the right meetings is
definitely the way to go.
12:16
Nicolas K
Nicolas K says:for those who cannot see the slides - they will be shared in
a proper manner later
Nicolas K says:i was born !
12:17
me says:I'm gonna unmute to laugh when someone says something hilarios, but
I'll mute after that each time ...
12:17
Colin Perkins
Colin Perkins says:They raised hands are hard to see. Would it make sense
to run the queue via the chat?
12:18
Nicolas K
Nicolas K says:+1
12:18
Aaron Falk
Aaron Falk says:👍
12:19
Nicolas K
Nicolas K says:I could not see the hands
12:19
Wesley Eddy
Wesley Eddy says:which operators are asking us for standards?
12:19
Christian Huitema
Christian Huitema says:+q
12:20
Aaron Falk
Aaron Falk says:
https://patents.justia.com/assignee/teledesic-corporation
12:20
Lin Han
Lin Han says:+q
12:20
Marie-José
Marie-José says:Thanks
Marie-José says:7km/s if I remember
12:21
me says:Also - a few of us are typing in
https://codimd.ietf.org/notes-ietf-111-SATCOM-side-meeting?edit
, but you might want to edit anything that you say, and that we get wrong
in the notes.
12:21
Stewart Bryant
Stewart Bryant says:Note that most of us are not qualified to express an
opinion on a patent and IETF does not discuss patents
12:21
Hesham ElBakoury
Hesham ElBakoury says:+q
12:21
Christian Huitema
Christian Huitema says:How do we see who is speaking?
12:21
Carsten Bormann
Carsten Bormann says:Blue dots
Carsten Bormann says:in gallery view
12:21
Marie-José
Marie-José says:I am not suggesting to discuss patent just to look what is
useful there and not reinvent
12:22
Nicolas K
Nicolas K says:+Q
12:23
Marie-José
Marie-José says:Look at Teledesic and a lot of related published work from
20 years ago including a special issue of IEEE Comm Mag
Marie-José says:All the LEO is there
12:24
Stewart Bryant
Stewart Bryant says:.. just like a 5G system?
12:25
Marie-José
Marie-José says:+1
12:25
gf
gf says:+q
gf says:+q
12:26
Marie-José
Marie-José says:UAV also?
12:27
Debopam
Debopam says:+q
12:29
Christian Huitema
Christian Huitema says:+1
12:29
Aaron Falk
Aaron Falk says:@MJ: not just UAV but any aircraft
12:30
Wesley Eddy
Wesley Eddy says:+q
Wesley Eddy says:+1 to Gorry's points about NDAs preventing some knowledge
sharing in this area
12:31
Christian Huitema
Christian Huitema says:NDA do not prevent outsiders from documenting their
experience
12:31
Aaron Falk
Aaron Falk says:....for existing systems
Aaron Falk says:(not planned)
12:32
Wesley Eddy
Wesley Eddy says:yes but if you want to know how the routing works, we
can't tell you 😃
12:32
Christian Huitema
Christian Huitema says:Well, we do have existing systems -- at least
SpaceX, Iridium, other commercial offers.
12:32
Aaron Falk
Aaron Falk says:we as IETF/IRTF can't but as individuals we can (for a
fee).  Teledesic hired a lot of folks with that expertise.  Getting changes
made requires opening the kimono tho.
12:33
Christian Huitema
Christian Huitema says:+1 to not being too specific. There should be some
kind of continuum between cellular, ballons, uav, leo...
12:34
Stewart Bryant
Stewart Bryant says:A problem with working on digital satellites is that it
is IATA controlled
12:34
Marie-José
Marie-José says:Yes to the continuum
12:34
Christian Huitema
Christian Huitema says:+q
12:35
Stewart Bryant
Stewart Bryant says:I aggree there are very interesting routing and TE
problems to solve
12:36
Marie-José
Marie-José says:I did not suggest a RG
12:37
Nicolas K
Nicolas K says:+1 to link layer - this has major impacts on transport in
SATCOM
12:38
Marie-José
Marie-José says:I think there is a lot that already exists
12:38
Nicolas K
Nicolas K says:+1 : lots of work laready exist
12:38
Stewart Bryant
Stewart Bryant says:IETF does not have a good place to discuss futures that
are neither research or engineering
12:38
Lin Han
Lin Han says:+q
12:39
Marie-José
Marie-José says:There could be some informational work
12:39
Stewart Bryant
Stewart Bryant says:I cannot speak - techical problems with this
conferencing platorm
12:40
Nicolas K
Nicolas K says:I hope that you could express your views in the chat - sorry
for that
12:40
Wesley Eddy
Wesley Eddy says:+1 agree w/ Christian
12:41
Marie-José
Marie-José says:what would be the charter of such a RG? who does the
research? do we need a RG to update what we know about the current systems?
12:42
gf
gf says:Notes are here:
gf says:
https://codimd.ietf.org/notes-ietf-111-SATCOM-side-meeting?edit
12:42
Lin Han
Lin Han says:Separate RG is good for people to talk about the same topic.
go to other group may dilute the interests
12:42
Marie-José
Marie-José says:you can hold cross RG meetings
12:42
Aaron Falk
Aaron Falk says:@Colin: can you address how open you'd be to an RG that
focused on describing satellite / aero network characteristics?
12:43
Wesley Eddy
Wesley Eddy says:I would view RG as forum for sharing progress of shared
interest in the area; similar to ICCRG as an example.
12:43
Lin Han
Lin Han says:If other RG includes such work into its agenda,
12:43
Colin Perkins
Colin Perkins says:+q
12:43
Rob Hamilton
Rob Hamilton says:👍
12:43
Carsten Bormann
Carsten Bormann says:A RG is a group of people who want to talk about the
same (or related) things.
12:44
Marie-José
Marie-José says:I would say more than talk but OK
12:44
Carsten Bormann
Carsten Bormann says:Offloading something to an RG that mostly has people
who don't care is unproductive.
12:44
John Border
John Border says:I assume IRTF RG charters are more flexible.  So, PANRG is
fine as long as the chairs agree.  A separate RG is also fine as long as we
can get some focus.
12:44
Marie-José
Marie-José says:we could organize a tutorial for the next IETF?
12:45
Aaron Falk
Aaron Falk says:+1 to tutorial
12:45
Christian Amsüss
Christian Amsüss says:Marie-José, that'd be great!
12:45
John Border
John Border says:To Carsten's point, the current PANRG participants might
now match this discussion.
John Border says:A tutorial would be a good way to test if we have enough
people willing to do work.
12:46
Oscar Garcia IPNSIG
Oscar Garcia IPNSIG says:I am interested in that work John
12:47
Hesham ElBakoury
Hesham ElBakoury says:please add my name to the attendee list
12:47
Debopam
Debopam says:done
12:48
John Border
John Border says:I am OK with it.
12:49
Aaron Falk
Aaron Falk says:A Satellite Directorate?
12:50
John Border
John Border says:Will you be the AD?
12:50
Aaron Falk
Aaron Falk says:<cough!>
12:51
Oscar Garcia IPNSIG
Oscar Garcia IPNSIG says:John Border
John Border says:I am OK with it.
12:51
Carsten Bormann
Carsten Bormann says:A directorate is attached to an existing AD
12:51
Aaron Falk
Aaron Falk says:+q
12:51
Oscar Garcia IPNSIG
Oscar Garcia IPNSIG says:great discussion do you have a mailing list?
12:52
Marie-José
Marie-José says:+q
12:52
me says:So everybody click on
https://www.ietf.org/mailman/listinfo/etosat
, unless you've already subscribed
12:52
Oscar Garcia IPNSIG
Oscar Garcia IPNSIG says:thank you Spencer!
12:53
gf
gf says:We're almost at the end of the slot now...
12:55
me says:Marie-Jose, do you want to coordinate the tutorial participants on
EtoSat, or have people contact you privately?
12:55
Carsten Bormann
Carsten Bormann says:Yep, multicast side meeting next, which is germaine...
12:55
me says:Gorry, can we include this chat in the notes?
12:55
Mirja
Mirja says:this sounds more like a deep-dive thing (tutorials are usually
about existing IETF work)
12:55
John Border
John Border says:A giant cut and paste?
12:55
gf
gf says:will try... I've captured it.
12:56
Oscar Garcia IPNSIG
Oscar Garcia IPNSIG says:what is your contact media MJ?
12:56
Mirja
Mirja says:which quantum talk (where)?
12:56
Marie-José
Marie-José says:there was a quantum talk maybe in Bangkok
12:56
John Border
John Border says:Was at the first QIRG meeting.
12:57
Oscar Garcia IPNSIG
Oscar Garcia IPNSIG says:Maria José how to contact you?
12:57
Marie-José
Marie-José says:Oscar: I am on the IRTF COIN
12:57
Mirja
Mirja says:so at the rg meeting itself (not a tutorial)?
12:57
Marie-José
Marie-José says:a tutorial aside from the RG meeting